Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi Folks

Hi folks 👋 Went through the initial setup for ClearML Serving here and

on running

clearml-serving create --name "serving example"

encountered this exception (solved)

raise AttributeError(__former_attrs__[attr])
AttributeError: module 'numpy' has no attribute 'bool'.
`np.bool` was a deprecated alias for the builtin `bool`. To avoid this error in existing code, use `bool` by itself. Doing this will not modify any behavior and is safe. If you specifically wanted the numpy scalar type, use `np.bool_` here.
The aliases was originally deprecated in NumPy 1.20; for more details and guidance see the original release note at:
    

at both the boolean and int calls

lib/python3.8/site-packages/clearml_serving/serving/preprocess_service.py", line 256, in TritonPreprocessRequest

I changed the calls to use int and bool instead of np.int and np.bool as suggested by the exception and that worked.

Using python 3.8 and maybe it's my mistake for using that version which causes this issue but thought it might be useful to share.

  
  
Posted 6 months ago
Votes Newest

Answers 2


hadn't looked into it but it seems to be an issue because in numpy 1.20.0 they deprecated np.bool and np.int for simplicity. Don't think it's related to the CLI specifically but I did encounter it through CLI interaction. Looks like someone removed int before me but for some reason I still had it in my code.

None

  
  
Posted 6 months ago

Thanks @<1550289509273309184:profile|CooperativeBeetle24> !
Is this an error with the CLI not working with a certain version of numpy ?
Any chance you can PR the fix ?

None

  
  
Posted 6 months ago
224 Views
2 Answers
6 months ago
6 months ago
Tags